import { Comment } from './Comment';
import { ShallowUser } from './ShallowUser';
import { TypeAnswer } from '../result-types/TypeAnswer';
export declare class Answer {
    accepted?: boolean;
    answerId: number;
    awardedBountyAmount?: number;
    awardedBountyUsers?: ShallowUser[];
    body?: string;
    bodyMarkdown?: string;
    canFlag?: boolean;
    commentCount?: number;
    comments?: Comment[];
    communityOwnedDate?: Date;
    creationDate: Date;
    downVoteCount?: number;
    downvoted?: boolean;
    isAccepted: boolean;
    lastActivityDate: Date;
    lastEditDate?: Date;
    lastEditor?: ShallowUser;
    link?: string;
    lockedDate?: Date;
    owner?: ShallowUser;
    questionId: number;
    score: number;
    shareLink?: string;
    tags?: string[];
    title?: string;
    upVoteCount?: number;
    upvoted?: boolean;
    constructor(answer: TypeAnswer);
}
