"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Comment_1 = require("./Comment");
const ShallowUser_1 = require("./ShallowUser");
class Answer {
    constructor(answer) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w;
        this.accepted = (_a = answer.accepted, (_a !== null && _a !== void 0 ? _a : null));
        this.answerId = answer.answer_id;
        this.awardedBountyAmount = (_b = answer.awarded_bounty_amount, (_b !== null && _b !== void 0 ? _b : null));
        this.awardedBountyUsers = (_c = answer.awarded_bounty_users
            .map((shallow_user) => new ShallowUser_1.ShallowUser(shallow_user)), (_c !== null && _c !== void 0 ? _c : null));
        this.body = (_d = answer.body, (_d !== null && _d !== void 0 ? _d : null));
        this.bodyMarkdown = (_e = answer.body_markdown, (_e !== null && _e !== void 0 ? _e : null));
        this.canFlag = (_f = answer.can_flag, (_f !== null && _f !== void 0 ? _f : null));
        this.commentCount = (_g = answer.comment_count, (_g !== null && _g !== void 0 ? _g : null));
        this.comments = (_h = answer.comments
            .map((comment) => new Comment_1.Comment(comment)), (_h !== null && _h !== void 0 ? _h : null));
        this.communityOwnedDate = (_j = answer.community_owned_date, (_j !== null && _j !== void 0 ? _j : null));
        this.creationDate = answer.creation_date;
        this.downVoteCount = (_k = answer.down_vote_count, (_k !== null && _k !== void 0 ? _k : null));
        this.downvoted = (_l = answer.downvoted, (_l !== null && _l !== void 0 ? _l : null));
        this.isAccepted = answer.is_accepted;
        this.lastActivityDate = answer.last_activity_date;
        this.lastEditDate = (_m = answer.last_edit_date, (_m !== null && _m !== void 0 ? _m : null));
        this.lastEditor = (_o = new ShallowUser_1.ShallowUser(answer.last_editor), (_o !== null && _o !== void 0 ? _o : null));
        this.link = (_p = answer.link, (_p !== null && _p !== void 0 ? _p : null));
        this.lockedDate = (_q = answer.locked_date, (_q !== null && _q !== void 0 ? _q : null));
        this.owner = (_r = new ShallowUser_1.ShallowUser(answer.owner), (_r !== null && _r !== void 0 ? _r : null));
        this.questionId = answer.question_id;
        this.score = answer.score;
        this.shareLink = (_s = answer.share_link, (_s !== null && _s !== void 0 ? _s : null));
        this.tags = (_t = answer.tags, (_t !== null && _t !== void 0 ? _t : null));
        this.title = (_u = answer.title, (_u !== null && _u !== void 0 ? _u : null));
        this.upVoteCount = (_v = answer.up_vote_count, (_v !== null && _v !== void 0 ? _v : null));
        this.upvoted = (_w = answer.upvoted, (_w !== null && _w !== void 0 ? _w : null));
    }
}
exports.Answer = Answer;
