"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ShallowUser_1 = require("./ShallowUser");
class Comment {
    constructor(comment) {
        var _a, _b, _c, _d, _e, _f, _g, _h;
        this.body = (_a = comment.body, (_a !== null && _a !== void 0 ? _a : null));
        this.bodyMarkdown = (_b = comment.body_markdown, (_b !== null && _b !== void 0 ? _b : null));
        this.canFlag = (_c = comment.can_flag, (_c !== null && _c !== void 0 ? _c : null));
        this.commentId = comment.comment_id;
        this.creationDate = comment.creation_date;
        this.edited = comment.edited;
        this.link = (_d = comment.link, (_d !== null && _d !== void 0 ? _d : null));
        this.owner = (_e = new ShallowUser_1.ShallowUser(comment.owner), (_e !== null && _e !== void 0 ? _e : null));
        this.postId = comment.post_id;
        this.postType = (_f = comment.post_type, (_f !== null && _f !== void 0 ? _f : null));
        this.replyToUser = (_g = new ShallowUser_1.ShallowUser(comment.reply_to_user), (_g !== null && _g !== void 0 ? _g : null));
        this.score = comment.score;
        this.upvoted = (_h = comment.upvoted, (_h !== null && _h !== void 0 ? _h : null));
    }
}
exports.Comment = Comment;
