import { Answer } from './Answer';
import { ClosedDetails } from './ClosedDetails';
import { Comment } from './Comment';
import { MigrationInfo } from './MigrationInfo';
import { Notice } from './Notice';
import { ShallowUser } from './ShallowUser';
import { TypeQuestion } from '../result-types/TypeQuestion';
export declare class Question {
    acceptedAnswerId?: number;
    answerCount: number;
    answers?: Answer[];
    body?: string;
    bodyMarkdown?: string;
    bountyAmount?: number;
    bountyClosesDate?: Date;
    bountyUser?: ShallowUser;
    canClose?: boolean;
    canFlag?: boolean;
    closeVoteCount?: number;
    closedDate?: Date;
    closedDetails?: ClosedDetails;
    closedReason?: string;
    commentCount?: number;
    comments?: Comment[];
    communityOwnedDate?: Date;
    creationDate: Date;
    deleteVoteCount?: number;
    downVoteCount?: number;
    downvoted?: boolean;
    favoriteCount?: number;
    favorited?: boolean;
    isAnswered: boolean;
    lastActivityDate: Date;
    lastEditDate?: Date;
    lastEditor?: ShallowUser;
    link: string;
    lockedDate?: Date;
    migratedFrom?: MigrationInfo;
    migratedTo?: MigrationInfo;
    notice?: Notice;
    owner?: ShallowUser;
    protectedDate?: Date;
    questionId: number;
    reopenVoteCount?: number;
    score: number;
    shareLink?: string;
    tags: string[];
    title: string;
    upVoteCount?: number;
    upvoted?: boolean;
    viewCount: number;
    constructor(question: TypeQuestion);
}
