"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RelatedSite_1 = require("./RelatedSite");
const Styling_1 = require("./Styling");
class Site {
    constructor(site) {
        var _a, _b, _c, _d, _e, _f, _g;
        this.aliases = (_a = site.aliases, (_a !== null && _a !== void 0 ? _a : null));
        this.apiSiteParameter = site.api_site_parameter;
        this.audience = site.audience;
        this.closedBetaDate = (_b = site.closed_beta_date, (_b !== null && _b !== void 0 ? _b : null));
        this.faviconUrl = site.favicon_url;
        this.highResolutionIconUrl = (_c = site.high_resolution_icon_url, (_c !== null && _c !== void 0 ? _c : null));
        this.iconUrl = site.icon_url;
        this.launchDate = site.launch_date;
        this.logoUrl = site.logo_url;
        this.markdownExtensions = (_d = site.markdown_extensions, (_d !== null && _d !== void 0 ? _d : null));
        this.name = site.name;
        this.openBetaDate = (_e = site.open_beta_date, (_e !== null && _e !== void 0 ? _e : null));
        this.relatedSites = (_f = site.related_sites
            .map((related_site) => new RelatedSite_1.RelatedSite(related_site)), (_f !== null && _f !== void 0 ? _f : null));
        this.siteState = site.site_state;
        this.siteType = site.site_type;
        this.siteUrl = site.site_url;
        this.styling = new Styling_1.Styling(site.styling);
        this.twitterAccount = (_g = site.twitter_account, (_g !== null && _g !== void 0 ? _g : null));
    }
}
exports.Site = Site;
