"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Question_1 = require("./Question");
class Wrapper {
    constructor(wrapper, className) {
        var _a, _b, _c, _d, _e, _f, _g, _h;
        this.backoff = (_a = wrapper.backoff, (_a !== null && _a !== void 0 ? _a : null));
        this.errorId = (_b = wrapper.error_id, (_b !== null && _b !== void 0 ? _b : null));
        this.errorMessage = (_c = wrapper.error_message, (_c !== null && _c !== void 0 ? _c : null));
        this.errorName = (_d = wrapper.error_name, (_d !== null && _d !== void 0 ? _d : null));
        this.hasMore = wrapper.has_more;
        switch (className) {
            case 'Question':
                this.items = wrapper.items.map((item) => new Question_1.Question(item));
                break;
            default:
                this.items = null;
        }
        this.page = (_e = wrapper.page, (_e !== null && _e !== void 0 ? _e : null));
        this.pageSize = (_f = wrapper.page_size, (_f !== null && _f !== void 0 ? _f : null));
        this.quotaMax = wrapper.quota_max;
        this.quotaRemaining = wrapper.quota_remaining;
        this.total = (_g = wrapper.total, (_g !== null && _g !== void 0 ? _g : null));
        this.type = (_h = wrapper.type, (_h !== null && _h !== void 0 ? _h : null));
    }
}
exports.Wrapper = Wrapper;
